Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 226649 - Merge Review: xorg-x11-xbitmaps
Summary: Merge Review: xorg-x11-xbitmaps
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-31 21:34 UTC by Nobody's working on this, feel free to take it
Modified: 2012-06-15 16:33 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-10-28 05:41:51 UTC
panemade: fedora-review+


Attachments (Terms of Use)

Description Nobody's working on this, feel free to take it 2007-01-31 21:34:11 UTC
Fedora Merge Review: xorg-x11-xbitmaps

http://cvs.fedora.redhat.com/viewcvs/devel/xorg-x11-xbitmaps/
Initial Owner: sandmann@redhat.com

Comment 1 Thomas Spura 2009-12-19 21:52:56 UTC
$ rpmlint xorg-x11-xbitmaps.spec xorg-x11-xbitmaps-1.1.0-1.fc13.src.rpm noarch/xorg-x11-xbitmaps-1.1.0-1.fc13.noarch.rpm 
xorg-x11-xbitmaps.spec:17: W: unversioned-explicit-provides xbitmaps
xorg-x11-xbitmaps.spec:18: W: unversioned-explicit-provides xbitmaps-devel
xorg-x11-xbitmaps.src:17: W: unversioned-explicit-provides xbitmaps
xorg-x11-xbitmaps.src:18: W: unversioned-explicit-provides xbitmaps-devel
xorg-x11-xbitmaps.noarch: W: no-documentation
xorg-x11-xbitmaps.noarch: W: devel-file-in-non-devel-package /usr/share/pkgconfig/xbitmaps.pc
2 packages and 1 specfiles checked; 0 errors, 6 warnings.

- There is ChangeLog and COPYING for %doc.

- Isn't %configure and --libdir a bit hacky?
  You assume, that the latest used --libdir is used in the configure. Don't know
  if that's always the case. Hope so ;)

- Could the provides xbitmaps deleted, if bitmaps requires xorg-x11-xbitmaps and not xbitmaps anymore?
  AFAIK this is the only programm which uses 'xbitmaps'

  $ repoquery --whatrequires xbitmaps
    bitmap-0:1.0.3-6.fc12.x86_64

- parallel make is not really needed, because nothing is build in make, but could you use 'make %{?_smp_mflags}' anyway?

- from https://fedoraproject.org/wiki/Packaging/Guidelines#Pkgconfig_Files
  requires: pkgconfig is missing


Rest looks ok.

Comment 2 Thomas Spura 2009-12-19 21:56:07 UTC
Hmm, just wondering, which package owns /usr/include/X11

$ yum provides /usr/include/X11 says:
xorg-x11-proto-devel and xorg-x11-xtrans-devel

But this package should require a programm, for owning /usr/include/X11, but those two don't make sense...

Comment 3 Thomas Spura 2010-01-26 23:37:45 UTC
CC'ing Adam Jackson

Comment 4 Adam Jackson 2010-08-30 20:15:56 UTC
(In reply to comment #1)

> - Isn't %configure and --libdir a bit hacky?
>   You assume, that the latest used --libdir is used in the configure. Don't
> know
>   if that's always the case. Hope so ;)

It is.

Fixed the doc stuff and smp_mflags in F15.  The rest is minor enough to not need fixing; if a provenpackager wants to clean that up, feel free.

Comment 5 Parag AN(पराग) 2010-08-31 01:38:58 UTC
where is the official review?

Comment 6 Parag AN(पराग) 2010-09-01 13:35:57 UTC
I will leave this package to be reviewed by Thomas Spura as he has done some initial review.

Comment 7 Parag AN(पराग) 2010-10-28 05:41:51 UTC
Now all the 3 packages(xorg-x11-xbitmaps, xorg-x11-proto-devel and xorg-x11-xtrans-devel) own /usr/include/X11

Done some cleanup commits already.

APPROVED.

Comment 8 Parag AN(पराग) 2012-06-15 16:33:28 UTC
hah! howcome i missed this package to set the flag fedora-review+ ?


Note You need to log in before you can comment on or make changes to this bug.